﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MVCFY2.Models;
using MVCFY2.PageHelpers;

namespace MVCFY2.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/
        #region 第二种分页方法
        public ActionResult FY2(int? page)
        {
            LZSEntities _lzsDb=new LZSEntities();
            PagerInfo pager = new PagerInfo();
            pager.RecordCount = _lzsDb.MyTestPages.Count();
            pager.PageSize = 5;
            if (page == null)
            {
                pager.CurrentPageIndex = 1;
            }
            else
            {
                pager.CurrentPageIndex = Convert.ToInt32(page);
            }

            var result = _lzsDb.MyTestPages;

            IEnumerable<MyTestPages> info2 = result;
            var query = new PagerQuery<MyTestPages>(pager, info2);
            return View(query);
        }
        #endregion
    }
}
